/*
 * This program is Copyright (C) 2011 P. Lutus
 * http://arachnoid.com/messages
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA.
 */
 package Arachnophilia;

/*
 * SyntaxStyleData.java
 *
 * Created on February 28, 2002, 12:02 PM
 */

//import JArachTextArea.*;
import java.awt.*;

/**
 *
 * @author  Administrator
 * @version 
 */
final public class SyntaxStyleData {

    public int color = 0x000000;
    public boolean italic = false;
    public boolean bold = false;
    /** Creates new SyntaxStyleData */
    public SyntaxStyleData() {
    }
    
    /*public SyntaxStyleData(SyntaxStyle v) {
        color = v.getColor().getRGB();
        italic = v.isItalic();
        bold = v.isBold();
    }*/
    
    public SyntaxStyleData(Color c,boolean italic, boolean bold) {
        this.color = c.getRGB();
        this.italic = italic;
        this.bold = bold;
    }
    
    public SyntaxStyleData(int c,boolean italic, boolean bold) {
        this.color = c;
        this.italic = italic;
        this.bold = bold;
    }
    
    @Override
    public String toString()
    {
        return "[color=" + color + ",italic=" + italic + ",bold=" + bold + "]";
    }
}
